# Module `awful.hotkeys_popup.widget`

Popup widget which shows current hotkeys and their descriptions.

### Info:

- Copyright: 2014-2015 Yauheni Kirylau
- Author: Yauheni Kirylau <yawghen@gmail.com>

## Functions

show_help ([c[, s]]) | Show popup with hotkeys help.
add_hotkeys (hotkeys) | Add hotkey descriptions for third-party applications.
widget_module.show_help ([c[, s]]) | Show popup with hotkeys help (default widget instance will be used).
widget_module.add_hotkeys (hotkeys) | Add hotkey descriptions for third-party applications (default widget instance will be used).

## Fields

widget_module.hide_without_description | Don't show hotkeys without descriptions.
widget_module.merge_duplicates | Merge hotkey records into one if they have the same modifiers and description.

## Functions

Methods

show_help ([c[, s]])
  Show popup with hotkeys help.
  - c client Client. (optional)
  - s screen Screen. (optional)
add_hotkeys (hotkeys)
  Add hotkey descriptions for third-party applications.
  - hotkeys table Table with bindings, see `awful.hotkeys_popup.key.vim` as an example.
widget_module.show_help ([c[, s]])
  Show popup with hotkeys help (default widget instance will be used).
  - c client Client. (optional)
  - s screen Screen. (optional)
widget_module.add_hotkeys (hotkeys)
  Add hotkey descriptions for third-party applications (default widget instance will be used).
  - hotkeys table Table with bindings, see `awful.hotkeys_popup.key.vim` as an example.

## Fields

widget_module.hide_without_description
  Don't show hotkeys without descriptions.
widget_module.merge_duplicates
  Merge hotkey records into one if they have the same modifiers and description.

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18